$colorDarkGrey: #cfcfcf;
$colorGrey: #f3f3f3;
$colorRed: #fc0d1b;
$colorGreen: #74c0a2;

.container {
  border: 1px solid $colorDarkGrey;
  width: fit-content;
  margin: 0 auto;
}

.card__container {
  display: flex;
  justify-content: center;
  padding: 10px;
  width: 600px;
  margin: 0 auto;
}

.card {
  position: relative;
  border: 1px solid $colorDarkGrey;
  width: 100%;

  &__arrowBack {
    position: absolute;
    top: 10px;
    left: 20px;
    font-size: 20px;
    background: none;
    border: none;
    cursor: pointer;
    transition: transform 0.2s ease-in-out;

    &:hover {
      color: $colorGreen;
      transform: scale(1.2);
    }
  }

  &__playSound {
    position: absolute;
    bottom: 235px;
    left: 20px;
    font-size: 20px;
    background: none;
    border: none;
    cursor: pointer;
    transition: transform 0.2s ease-in-out;

    &:hover {
      color: $colorGreen;
      transform: scale(1.2);
    }
  }

  &__soundText {
    position: absolute;
    bottom: 200px;
    left: 55px;
    font-size: 20px;
    background: none;
    border: none;
    cursor: pointer;

    &:hover {
      color: $colorGreen;
    }
  }

  &__img {
    padding: 10px 150px;
  }

  &__detailsContainer {
    background: $colorGrey;
  }

  &__details {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px 10px 10px;
  }

  &__title {
    h1 {
      margin: 0;
      font-size: 20px;
    }

    p {
      font-size: 15px;
    }
  }

  &__bars {
    padding: 0 10px 20px 10px;

    p {
      min-width: 60px;
      font-weight: bold;
    }
  }

  &__barCp,
  &__barHp {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 5px;
  }

  &__progressBarContainer {
    width: 100%;
    margin: 5px 10px 5px 0;
    height: 8px;
    background: #e6eae3;
    background: rgba(8, 102, 220, 0.2);
    overflow: hidden;
    border-radius: 5px;
  }

  &__barCp > &__progressBarContainer > &__progressBarValue {
    height: 1.66em;
    float: left;
    background: #9fa1fc;
    width: 100%;
  }

  &__barHp > &__progressBarContainer > &__progressBarValue {
    height: 1.66em;
    float: left;
    background: #74c0a2;
    width: 100%;
  }

  &__bottom {
    display: flex;
    justify-content: space-between;
    text-align: center;
  }

  &__weight,
  &__height {
    border: 1px solid $colorDarkGrey;
    width: 50%;
    padding: 12px 0;
    border-right: none;
    border-bottom: none;
    font-size: 13px;

    p {
      margin-top: 5px;
    }
  }

  &__weight {
    border-left: none;
  }

  &__evolutions {
    display: flex;
    padding: 10px;
  }

  &__evolutionsTitle {
    padding-left: 10px;
    font-size: 20px;
  }
}
